## sra-sdk 2.3.5-2+dfsg

=== debian/changelog ===
sra-sdk (2.3.5-2+dfsg-1ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Limit to amd64 and i386 due to some assembly.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 04 Nov 2014 17:14:18 -0500

sra-sdk (2.3.5-2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * d/rules: Adapt get-orig-source target to new uscan implementation
  * d/watch: use uversionmangle to get properly named download tarball

 -- Andreas Tille <tille@debian.org>  Wed, 30 Jul 2014 13:52:45 +0200
