=== debian/watch ===
version=3
opts=uversionmangle=s/$/+dfsg/ \
  http://trace.ncbi.nlm.nih.gov/Traces/sra/sra.cgi?view=software http://ftp-trace.ncbi.nlm.nih.gov/sra/sdk/.+?/sra_sdk-(.*)\.tar\.gz
